Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class JournalingFrameStoreHandler

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
          edu.stanford.smi.protege.model.framestore.JournalingFrameStoreHandler

All Implemented Interfaces:
  InvocationHandler

    public class JournalingFrameStoreHandler

extends AbstractFrameStoreInvocationHandler

Field Summary
`static String` | `journaller_name`

Constructor Summary
`JournalingFrameStoreHandler()`

Method Summary
`protected boolean` | `doRecord(Method method)`
`void` | `executeQuery(Query q, QueryCallback qc)`
`void` | `handleClose()`
`Object` | `handleInvoke(Method method, Object[] args)`
`protected void` | `record(Method m, Object[] args, Object result)`
`void` | `start(URI journalURI)`
`void` | `stop()`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
`getDelegate, getInstance, handleReinitialize, invoke, invoke, invoke, isModification, isQuery, newInstance, newInstance, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### journaller_name

    public static final String journaller_name

See Also:
  Constant Field Values

Constructor Detail

### JournalingFrameStoreHandler

    public JournalingFrameStoreHandler()

Method Detail

### start

    public void start(URI journalURI)

### stop

    public void stop()

### handleClose

    public void handleClose()

  Overrides:
    `handleClose` in class `AbstractFrameStoreInvocationHandler`

### handleInvoke

    public Object handleInvoke(Method method,
                               Object[] args)

  Specified by:
    `handleInvoke` in class `AbstractFrameStoreInvocationHandler`

### executeQuery

    public void executeQuery(Query q,
                             QueryCallback qc)

  Specified by:
    `executeQuery` in class `AbstractFrameStoreInvocationHandler`

### record

    protected void record(Method m,
                          Object[] args,
                          Object result)

### doRecord

    protected boolean doRecord(Method method)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.